package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.SaleLog;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface SaleLogMapper extends IBaseMapper<SaleLog, BigDecimal> {
    @Select("select SEQ_SALE_LOG.nextval from dual")
    BigDecimal selectMaxId();

    //查询所有日志
    List<Map<String,Object>> selectAllLog(Map<String,Object> map);

    //查询用户名
    String getUserNameById(Map<String,Object> map);
}