package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.util.HashMap;
import java.util.Map;

@FeignClient(value = "DAL-OTMS-API-DEV", url = "${openfeign.OTMSFeign.url}")
public interface OtmsFeign {

    @GetMapping("/api/v1/otms/pathDisplay/getCurrentLocation")
    RESTfulResult getCurrentLocation(@RequestParam("capcityNumber") String capcityNumber) throws Exception;

}
