package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@FeignClient(value = "DIL-RMS-API-DEV", url = "${openfeign.RmsFeign.url}")
public interface RmsFeign {
    //修改运力
    @PostMapping(value = "api/v1/rms/rmscapacity/updateCapacity")
    Map<String, Object> updateCapacity(@RequestBody Map<String, Object> map);

}
