package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmstruckRequirementMaterial;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface AmstruckRequirementMaterialMapper extends IBaseMapper<AmstruckRequirementMaterial, BigDecimal> {

    @Select("select seq__REQUIREMENT_MATERIAL.nextval from dual")
    BigDecimal selectRequirementMaterialId();


    List<Map<String, Object>> getOffsetWarehouse();

    List<Map<String,Object>> getRequirementMaterial(Integer requirementId);

    BigDecimal getMaterialId(Map<String, Object> mapValue);

    List<Map<String,Object>> selectRequirementByLuhao(String checkLuNo);

    BigDecimal getSingleWeight(String luNo);

}